<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>spin</name>
  <program_name>spin</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window1</name>
  <visible>False</visible>
  <title>window1</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkHBox</class>
    <name>main_widget</name>
    <homogeneous>False</homogeneous>
    <spacing>0</spacing>

    <widget>
      <class>GtkVBox</class>
      <name>vbox6</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>
      <child>
	<padding>3</padding>
	<expand>False</expand>
	<fill>False</fill>
      </child>

      <widget>
	<class>Custom</class>
	<name>custom3</name>
	<width>20</width>
	<height>21</height>
	<tooltip>loop last beats</tooltip>
	<signal>
	  <name>toggled</name>
	  <handler>gdam_skin_toggle_button:spun</handler>
	  <last_modification_time>Thu, 22 Jun 2000 23:41:59 GMT</last_modification_time>
	</signal>
	<creation_function>gtk_pix_button_create_func</creation_function>
	<string1>bluetone/spin.xpm:bluetone/spin-active.xpm:bluetone/spin.xpm:bluetone/spin-active.xpm</string1>
	<int1>1</int1>
	<int2>0</int2>
	<last_modification_time>Thu, 23 Mar 2000 03:44:27 GMT</last_modification_time>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>False</fill>
	</child>
      </widget>
    </widget>

    <widget>
      <class>GtkVBox</class>
      <name>vbox4</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>
      <child>
	<padding>0</padding>
	<expand>True</expand>
	<fill>True</fill>
      </child>

      <widget>
	<class>GtkHBox</class>
	<name>hbox2</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>False</fill>
	</child>

	<widget>
	  <class>GtkEventBox</class>
	  <name>eventbox3</name>
	  <tooltip>length of spun sound in beats</tooltip>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>False</fill>
	  </child>

	  <widget>
	    <class>GtkFrame</class>
	    <name>frame1_blackentry</name>
	    <label_xalign>0</label_xalign>
	    <shadow_type>GTK_SHADOW_IN</shadow_type>

	    <widget>
	      <class>GtkEventBox</class>
	      <name>eventbox4_allblack</name>

	      <widget>
		<class>GtkHBox</class>
		<name>hbox3_allblack</name>
		<homogeneous>False</homogeneous>
		<spacing>0</spacing>

		<widget>
		  <class>GtkVBox</class>
		  <name>vbox7</name>
		  <homogeneous>False</homogeneous>
		  <spacing>0</spacing>
		  <child>
		    <padding>2</padding>
		    <expand>False</expand>
		    <fill>True</fill>
		  </child>

		  <widget>
		    <class>GtkVBox</class>
		    <name>vbox5</name>
		    <homogeneous>False</homogeneous>
		    <spacing>0</spacing>
		    <child>
		      <padding>0</padding>
		      <expand>True</expand>
		      <fill>False</fill>
		    </child>

		    <widget>
		      <class>GtkEventBox</class>
		      <name>eventbox1</name>
		      <signal>
			<name>gdam-left-clicked</name>
			<handler>gdam_skin_arg_int:nudge_beat_factor:1</handler>
			<last_modification_time>Sat, 12 Aug 2000 16:47:02 GMT</last_modification_time>
		      </signal>
		      <signal>
			<name>gdam-right-clicked</name>
			<handler>gdam_skin_arg_double:beat_factor:2:factor</handler>
			<last_modification_time>Sat, 12 Aug 2000 16:54:42 GMT</last_modification_time>
		      </signal>
		      <child>
			<padding>1</padding>
			<expand>False</expand>
			<fill>False</fill>
		      </child>

		      <widget>
			<class>GtkPixmap</class>
			<name>pixmap</name>
			<width>8</width>
			<height>7</height>
			<filename>up.xpm</filename>
			<xalign>0.5</xalign>
			<yalign>0.5</yalign>
			<xpad>0</xpad>
			<ypad>0</ypad>
			<build_insensitive>True</build_insensitive>
		      </widget>
		    </widget>

		    <widget>
		      <class>GtkEventBox</class>
		      <name>eventbox2</name>
		      <signal>
			<name>gdam-left-clicked</name>
			<handler>gdam_skin_arg_int:nudge_beat_factor:-1</handler>
			<last_modification_time>Sat, 12 Aug 2000 16:47:40 GMT</last_modification_time>
		      </signal>
		      <signal>
			<name>gdam-right-clicked</name>
			<handler>gdam_skin_arg_double:beat_factor:0.5:factor</handler>
			<last_modification_time>Sat, 12 Aug 2000 16:54:18 GMT</last_modification_time>
		      </signal>
		      <child>
			<padding>1</padding>
			<expand>False</expand>
			<fill>False</fill>
		      </child>

		      <widget>
			<class>GtkPixmap</class>
			<name>pixmap2</name>
			<width>8</width>
			<height>7</height>
			<filename>down.xpm</filename>
			<xalign>0.5</xalign>
			<yalign>0.5</yalign>
			<xpad>0</xpad>
			<ypad>0</ypad>
			<build_insensitive>True</build_insensitive>
		      </widget>
		    </widget>
		  </widget>
		</widget>

		<widget>
		  <class>GtkLabel</class>
		  <name>label1_invlabel</name>
		  <width>40</width>
		  <signal>
		    <name>whatever</name>
		    <handler>gdam_spin_skin_sub_bpm_factor_label</handler>
		    <last_modification_time>Sat, 08 Apr 2000 03:53:31 GMT</last_modification_time>
		  </signal>
		  <label>2</label>
		  <justify>GTK_JUSTIFY_FILL</justify>
		  <wrap>False</wrap>
		  <xalign>0.5</xalign>
		  <yalign>0.5</yalign>
		  <xpad>8</xpad>
		  <ypad>4</ypad>
		  <child>
		    <padding>0</padding>
		    <expand>False</expand>
		    <fill>False</fill>
		  </child>
		</widget>
	      </widget>
	    </widget>
	  </widget>
	</widget>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
